# RPM spec file for C->Haskell                                   -*-rpm-spec-*-
#
# Copyright [1999..2002] Manuel M T Chakravarty <chak@cse.unsw.edu.au>

%define version    0.11.5
%define release    alt2
%define prefix     /usr

Summary: C->Haskell Interface Generator
Name: c2hs
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Haskell
Source: http://www.cse.unsw.edu.au/~chak/haskell/c2hs/c2hs-%{version}.tar.gz
URL: http://www.cse.unsw.edu.au/~chak/haskell/c2hs/
Requires: ghc = 6.0.1
# Automatically added by buildreq on Tue Oct 14 2003
BuildRequires: OpenSP XFree86-utils ghc groff-base happy libgmp-devel sgml-tools zlib-devel

BuildRequires: ghc = 6.0.1
Provides: c2hs

%description
C->Haskell is an interface generator that simplifies the development
of Haskell bindings to C libraries.  The tool processes existing C
header files that determine data layout and function signatures on the
C side in conjunction with Haskell modules that specify Haskell-side
type signatures and marshaling details.  Hooks embedded in the Haskell
code signal access to C structures and functions -- they are expanded
by the interfacing tool in dependence on information from the
corresponding C header file.

Haskell 98 is "the" standard lazy functional programming language.
More info plus the language definition is at http://www.haskell.org/.


%prep
%setup

%build
./configure --prefix=%{prefix} --mandir=$RPM_BUILD_ROOT%{prefix}/share/man/
make
make doc

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install
make prefix=$RPM_BUILD_ROOT%{prefix} install-doc

%post
%{prefix}/bin/c2hs-config --package-conf\
  | ghc-pkg --update-package --auto-ghci-libs

%postun
ghc-pkg --remove-package=c2hs

%files
%doc c2hs/ChangeLog c2hs/TODO c2hs/COPYING c2hs/COPYING.LIB
%doc c2hs/README c2hs/AUTHORS
%doc doc/c2hs/*.html doc/c2hs/*.txt doc/c2hs/lib c2hs/tests
%{prefix}/bin/c2hs
%{prefix}/bin/c2hs-config
%{prefix}/lib/c2hs-%{version}/
%{prefix}/share/man/man?/*

%changelog

* Thu Oct 09 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.11.5-alt2
- rebuild with ghc 6.0.1

* Tue Jul 01 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.11.5-alt1
- a new version, rebuild with ghc 6.0

* Fri Jan 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 0.10.17-alt2
- slightly adopted to the ALT Linux environment

* Tue Mar 12 2002 Manuel Chakravarty
- require a specific Haskell compiler (namely, the one for which the packages 
  was compiled)

* Sun Oct 31 1999 Manuel Chakravarty
- original version
